=== debian/changelog ===
g2clib (1.8.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:30:29 +0000

g2clib (1.8.0-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:35:27 +0000

g2clib (1.8.0-3) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jan 2024 06:40:24 +0000

g2clib (1.8.0-2) experimental; urgency=medium

  * Build-dep on libaec-dev. Closes: #1059819

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Dec 2023 09:20:44 +0000

g2clib (1.8.0-1) experimental; urgency=medium

  * New upstream release
  * Upstream now calls the shlib libg2c.so.0 ; drop 0d debian versioning
  * Drop transitional link now libgrib2c is history
  * Drop obsolete shlibs file
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Oct 2023 07:42:39 +0100
