=== debian/control ===
Source: g2clib
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat  (= 13), 
 cmake,
 libpng-dev, 
 libaec-dev,
 zlib1g-dev, 
 pkg-config,
 doxygen,
 libopenjp2-7-dev 
Standards-Version: 4.6.2
Homepage: https://github.com/NOAA-EMC/NCEPLIBS-g2c
Vcs-Browser: https://salsa.debian.org:/science-team/g2clib.git
Vcs-Git: https://salsa.debian.org:/science-team/g2clib.git -b debian/latest

Package: libg2c0
Section: libs
Architecture: any
Breaks: libg2c0d
Replaces: libg2c0d
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: NCEP GRIB2 encoder/decoder library
 This is the libgrib2c library from NCEP for encoding and decoding 'GRIB2'
 data formats. 

Package: libg2c-dev
Section: libdevel
Architecture: any
Depends: libg2c0 ( = ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Recommends: pkg-config
Description: NCEP GRIB2 library - development files
 This is the libgrib2c library from NCEP for encoding and
 decoding 'GRIB2' data formats.
 .
 This package contains the static libraries and headers needed to build 
 applications against libgrib2.
