=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ --buildsystem=cmake --builddirectory=debian/build

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
endif

DESTDIR:=$(CURDIR)/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -I $(CURDIR)/debian/build/src 


export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure  -- \
		-DCMAKE_C_CFLAGS="${CFLAGS}" \
		-DUSE_Jasper=OFF \
		-DUSE_OpenJPEG=On \
		-DUSE_AEC=On \
		-DENABLE_DOCS=Off


override_dh_auto_install:
	dh_auto_install
	# See #1011424
	rm -f ./debian/build/docs/man/man3/real.3
