## g2clib 1.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 option(BUILD_STATIC_LIBS "Build static libraries" ON)
 option(FTP_TEST_FILES "Fetch and test with files on FTP site." OFF)
 option(FTP_LARGE_TEST_FILES "Fetch and test with very large files on FTP site." OFF)
-option(FTP_EXTRA_TEST_FILES "Test with files not yet available via FTP." OFF)
+option(FTP_EXTRA_TEST_FILES "Test with more large files fetched via FTP." OFF)
 option(LOGGING "Turn on internal logging messages. Only useful to g2c developers." OFF)
 option(PTHREADS "Turn on thread-safty with pthreads." OFF)
 option(UTILS "Build and install some utility programs." ON)
