=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # Ed Hartnett, 7/11/21
 # Dusan Jovic
 # Eric Engle 1/10/23
+
+message(STATUS "Building test directory...")
 
 # Some test files are large and are kept on the NOAA EMC FTP
 # site. This function is used to download such test data. It takes two
@@ -13,7 +15,7 @@
   # there before FTPing them. Developers can keep all test files on
   # their machines, and save the time of downloading them every time.
   if(NOT ${TEST_FILE_DIR} STREQUAL ".")
-    #message(STATUS "Checking for ${TEST_FILE_DIR}/${THE_FILE}.")
+    message(STATUS "Checking for ${TEST_FILE_DIR}/${THE_FILE}.")
     if (EXISTS ${TEST_FILE_DIR}/${THE_FILE})
       message(STATUS "Copying file ${TEST_FILE_DIR}/${THE_FILE} to test data directory.")
       FILE(COPY ${TEST_FILE_DIR}/${THE_FILE}
@@ -49,7 +51,7 @@
   "ref_gdas.t12z.pgrb2.1p00.anl.degrib2"
   "ref_gdas.t12z.pgrb2.1p00.anl.grib2.degrib2"
   "ref_gdas.t12z.pgrb2.1p00.anl.grib2.grb2index"
-  "ref_gdaswave.degrib2.txt"
+  "ref_gdaswave.t00z.wcoast.0p16.f000.grib2.degrib2"
   "ref_gdaswave.t00z.wcoast.0p16.f000.grb2index"
   "ref_GLOBAL.grib2.2022103000.0000.degrib2"
   "ref_GLOBAL.grib2.2022103000.0000.grb2index"
@@ -72,11 +74,9 @@
   "ref_tst_jasper_warning.txt"
   )
 
-# Copy extra files if needed.
-if(FTP_EXTRA_TEST_FILES)
-  if(FTP_LARGE_TEST_FILES)
-    set(REF_FILES ${REF_FILES} "ref_fv3lam.t00z.prslev.f000.grib2.degrib2")
-  endif()
+# Copy large files if needed.
+if(FTP_LARGE_TEST_FILES)
+  set(REF_FILES ${REF_FILES} "ref_fv3lam.t00z.prslev.f000.grib2.degrib2")
 endif()
 
 foreach(THE_FILE IN LISTS REF_FILES) 
@@ -94,7 +94,7 @@
 
 # Build a C program test.
 function(g2c_build_test name)
-  add_executable(${name} ${name}.c util.c)
+  add_executable(${name} ${name}.c g2c_test_util.c)
   target_link_libraries(${name} PUBLIC g2c::g2c)
   if(BUILD_G2C)
     target_link_libraries(${name} PRIVATE ${LIBXML2_LIBRARIES})
@@ -104,7 +104,7 @@
 
 # Build a C program test.
 function(g2c_build_test name)
-  add_executable(${name} ${name}.c util.c)
+  add_executable(${name} ${name}.c g2c_test_util.c)
   target_link_libraries(${name} PUBLIC g2c::g2c)
   target_link_libraries(${name} PRIVATE ${LIBXML2_LIBRARIES})
   target_include_directories(${name} PRIVATE "${LIBXML2_INCLUDE_DIR}")
@@ -155,16 +155,17 @@
     PULL_DATA(${G2_FTP_URL} ${THE_FILE})
   endforeach()
 
+  if(FTP_LARGE_TEST_FILES)
+    set(LARGE_FTP_FILES "fv3lam.t00z.prslev.f000.grib2")
+    foreach(THE_FILE IN LISTS LARGE_FTP_FILES) 
+      PULL_DATA(${G2_FTP_URL} ${THE_FILE})
+    endforeach()
+    add_definitions(-DLARGE_FTP_TESTS)
+  endif()
+
   if(FTP_EXTRA_TEST_FILES)
-    if(FTP_LARGE_TEST_FILES)
-      set(LARGE_FTP_FILES "fv3lam.t00z.prslev.f000.grib2")
-      foreach(THE_FILE IN LISTS LARGE_FTP_FILES) 
-        PULL_DATA(${G2_FTP_URL} ${THE_FILE})
-      endforeach()
-      add_definitions(-DLARGE_FTP_TESTS)
-    endif()
-
-    set(EXTRA_FTP_FILES "MRMS_MultiSensor_QPE_24H_Pass2_00.00_20230621-110000.grib2")
+    set(EXTRA_FTP_FILES MRMS_MultiSensor_QPE_24H_Pass2_00.00_20230621-110000.grib2
+      GFSPRS.GrbF06 rrfs.t18z.prslev.f000.grib2)
     foreach(THE_FILE IN LISTS EXTRA_FTP_FILES) 
       PULL_DATA(${G2_FTP_URL} ${THE_FILE})
     endforeach()
@@ -250,6 +251,12 @@
       gu_test(run_compare_tests)
       gu_test(run_degrib2_tests)
       gu_test(run_index_tests)
+      if(FTP_LARGE_TEST_FILES)
+	gu_test(run_large_index_tests)
+      endif()
+      if(FTP_EXTRA_TEST_FILES)
+	gu_test(run_extra_index_tests)
+      endif()
     endif()
   endif()
 endif()
