=== debian/changelog ===
g2clib (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Depend/recommend pkgconf instead of pkg-config

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Mar 2024 07:44:03 +0000
