=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: g2clib
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat  (= 13), 
  cmake,
  libpng-dev, 
  libaec-dev,
  zlib1g-dev, 
- pkg-config,
+ pkgconf,
  doxygen,
  libopenjp2-7-dev 
 Standards-Version: 4.6.2
@@ -32,7 +31,7 @@
 Architecture: any
 Depends: libg2c0 ( = ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Recommends: pkg-config
+Recommends: pkgconf
 Description: NCEP GRIB2 library - development files
  This is the libgrib2c library from NCEP for encoding and
  decoding 'GRIB2' data formats.
