## g2clib 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 option(LOGGING "Turn on internal logging messages. Only useful to g2c developers." OFF)
 option(PTHREADS "Turn on thread-safty with pthreads." OFF)
 option(UTILS "Build and install some utility programs." ON)
-option(BUILD_G2C "Build the new g2c API, experimental until 2.0.0 release." OFF)
+option(BUILD_G2C "Build the g2c file-based API." ON)
 
 # Developers can use this option to specify a local directory which
 # holds the test files. They will be copied instead of fetching the
@@ -103,11 +103,6 @@
   message(STATUS "Will not build AEC support")
 endif()
 
-# Find libxml2.
-if(BUILD_G2C)
-  find_package(LibXml2 2.9.0 REQUIRED)
-endif()
-
 # Set the compiler flags.
 if(CMAKE_C_COMPILER_ID MATCHES "^(Intel|IntelLLVM)$")
   set(CMAKE_C_FLAGS "-g -traceback ${CMAKE_C_FLAGS}")
