=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 specunpack.c util.c)
 
 if(BUILD_G2C)
-  set(src_files ${src_files}  g2cutil.c g2cxml.c g2cparams.c g2cfile.c
+  set(src_files ${src_files}  g2cutil.c g2ccsv.c g2cparams.c g2cfile.c
     g2cdegrib2.c g2cprod.c g2cinq.c g2cindex.c g2cio.c g2ccompare.c)
 endif()
 
@@ -49,27 +49,11 @@
   list(APPEND LIB_TARGETS ${lib_name}_shared)
 endif()
 
-# Link to libxml2.
-if(BUILD_G2C)
-  message(STATUS "libxml2 include directories ${LIBXML2_INCLUDE_DIR}")
-  target_link_libraries(${lib_name}_objlib PRIVATE ${LIBXML2_LIBRARIES})
-  target_include_directories(${lib_name}_objlib PRIVATE "${LIBXML2_INCLUDE_DIR}")
-  if(BUILD_SHARED_LIBS)
-    target_link_libraries(${lib_name}_shared PRIVATE ${LIBXML2_LIBRARIES})
-    target_include_directories(${lib_name}_shared PRIVATE "${LIBXML2_INCLUDE_DIR}")
-  endif()
-  if(BUILD_STATIC_LIBS)
-    target_link_libraries(${lib_name}_static PRIVATE ${LIBXML2_LIBRARIES})
-    target_include_directories(${lib_name}_static PRIVATE "${LIBXML2_INCLUDE_DIR}")
-  endif()
-endif()
-
 # Build with PNG.
 if(PNG_FOUND)
   message(STATUS "PNG include directories ${PNG_INCLUDE_DIR}")
   message(STATUS "PNG libraries ${PNG_LIBRARIES}")
-  target_sources(${lib_name}_objlib PRIVATE dec_png.c
-                                     enc_png.c
+  target_sources(${lib_name}_objlib PRIVATE decenc_png.c
                                      pngpack.c
                                      pngunpack.c)
   target_compile_definitions(${lib_name}_objlib PRIVATE USE_PNG)
@@ -90,8 +74,7 @@
 if(JASPER_FOUND)
   message(STATUS "JASPER include directories ${JASPER_INCLUDE_DIR}")
   message(STATUS "JASPER libraries ${JASPER_LIBRARIES} version ${JASPER_VERSION}")
-  target_sources(${lib_name}_objlib PRIVATE dec_jpeg2000.c
-                                     enc_jpeg2000.c
+  target_sources(${lib_name}_objlib PRIVATE decenc_jpeg2000.c
                                      jpcpack.c
                                      jpcunpack.c)
   target_compile_definitions(${lib_name}_objlib PRIVATE USE_JPEG2000)
@@ -144,15 +127,15 @@
                                             aecunpack.c)
   target_compile_definitions(${lib_name}_objlib PRIVATE USE_AEC)
   target_link_libraries(${lib_name}_objlib PRIVATE ${AEC_LIBRARIES})
-  target_include_directories(${lib_name}_objlib PRIVATE "${AEC_INCLUDE_DIRS}")
+  target_include_directories(${lib_name}_objlib PRIVATE "${AEC_INCLUDE_DIR}")
   set(G2_AEC_ENABLED ON)
   if(BUILD_SHARED_LIBS)
     target_link_libraries(${lib_name}_shared PRIVATE ${AEC_LIBRARIES})
-    target_include_directories(${lib_name}_shared PRIVATE "${AEC_INCLUDE_DIRS}")
+    target_include_directories(${lib_name}_shared PRIVATE "${AEC_INCLUDE_DIR}")
   endif()
   if(BUILD_STATIC_LIBS)
     target_link_libraries(${lib_name}_static PRIVATE ${AEC_LIBRARIES})
-    target_include_directories(${lib_name}_static PRIVATE "${AEC_INCLUDE_DIRS}")
+    target_include_directories(${lib_name}_static PRIVATE "${AEC_INCLUDE_DIR}")
   endif()
 endif()
 
@@ -174,6 +157,14 @@
 
 target_include_directories(${lib_name}_objlib PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}>"
                                                      $<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/include>)
+if(BUILD_SHARED_LIBS)
+  target_include_directories(${lib_name}_shared PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}>"
+                                                       $<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/include>)
+endif()
+if(BUILD_STATIC_LIBS)
+  target_include_directories(${lib_name}_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}>"
+                                                       $<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/include>)
+endif()
 
 if (NOT WIN32)
   target_link_libraries(${lib_name}_objlib INTERFACE m)
@@ -210,7 +201,7 @@
 
 # g2c-config.cmake
 configure_package_config_file(
-  ${CMAKE_SOURCE_DIR}/cmake/PackageConfig.cmake.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.cmake
+  ${PROJECT_SOURCE_DIR}/cmake/PackageConfig.cmake.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.cmake
   INSTALL_DESTINATION ${CONFIG_INSTALL_DESTINATION})
 install(FILES ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.cmake
   DESTINATION ${CONFIG_INSTALL_DESTINATION})
@@ -229,9 +220,9 @@
   FILE ${PROJECT_NAME}-targets.cmake
   DESTINATION ${CONFIG_INSTALL_DESTINATION})
 
-# XML data files.
+# CSV data files.
 if(BUILD_G2C)
-  set(XML_FILES Template.xml CodeFlag.xml)
-  install(FILES ${XML_FILES}
-    DESTINATION ${CMAKE_INSTALL_LIBDIR})
-endif()
+  set(CSV_FILES Template.txt CodeFlag.txt)
+  install(FILES ${CSV_FILES}
+    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/g2c/)
+endif()
