=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -79,16 +79,16 @@
   set(REF_FILES ${REF_FILES} "ref_fv3lam.t00z.prslev.f000.grib2.degrib2")
 endif()
 
-foreach(THE_FILE IN LISTS REF_FILES) 
+foreach(THE_FILE IN LISTS REF_FILES)
   FILE(COPY ${CMAKE_CURRENT_SOURCE_DIR}/data/${THE_FILE}
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data)
 endforeach()
 
-# These are the XML files from the WMO with GRIB2 code data.
+# These are the CSV files from the WMO with GRIB2 code data.
 if(BUILD_G2C)
-  FILE(COPY ${CMAKE_CURRENT_SOURCE_DIR}/../src/CodeFlag.xml
+  FILE(COPY ${CMAKE_CURRENT_SOURCE_DIR}/../src/CodeFlag.txt
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/)
-  FILE(COPY ${CMAKE_CURRENT_SOURCE_DIR}/../src/Template.xml
+  FILE(COPY ${CMAKE_CURRENT_SOURCE_DIR}/../src/Template.txt
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/)
 endif()
 
@@ -96,18 +96,12 @@
 function(g2c_build_test name)
   add_executable(${name} ${name}.c g2c_test_util.c)
   target_link_libraries(${name} PUBLIC g2c::g2c)
-  if(BUILD_G2C)
-    target_link_libraries(${name} PRIVATE ${LIBXML2_LIBRARIES})
-    target_include_directories(${name} PRIVATE "${LIBXML2_INCLUDE_DIR}")
-  endif()
 endfunction()
 
 # Build a C program test.
 function(g2c_build_test name)
   add_executable(${name} ${name}.c g2c_test_util.c)
   target_link_libraries(${name} PUBLIC g2c::g2c)
-  target_link_libraries(${name} PRIVATE ${LIBXML2_LIBRARIES})
-  target_include_directories(${name} PRIVATE "${LIBXML2_INCLUDE_DIR}")
 endfunction()
 
 # Run a C program test.
@@ -120,7 +114,7 @@
 function(g2c_ptest name)
   g2c_test(${name})
   if(PTHREADS)
-    target_compile_definitions(${name} PRIVATE -DPTHREADS)    
+    target_compile_definitions(${name} PRIVATE -DPTHREADS)
     target_link_libraries(${name} PRIVATE pthread)
   endif()
 endfunction()
@@ -146,18 +140,18 @@
     "WW3_Regional_US_East_Coast_20220717_0600.grib2"
     "gdas.t12z.pgrb2.1p00.anl.grib2" "blend.t19z.core.f001.co.grib2"
     "cmc_geavg.t12z.pgrb2a.0p50.f000"
-    "flxf2022111712.01.2022111712.grb2" 
+    "flxf2022111712.01.2022111712.grb2"
     "GLOBAL.grib2.2022103000.0000" "hiresw.t00z.arw_5km.f00.hi.grib2"
     "naefs_ge10pt.t12z.pgrb2a.0p50_bcf003"
     "rap.t00z.awp130pgrbf00.grib2" "seaice.t00z.grb.grib2"
     "sgx_nwps_CG3_20221117_1200.grib2" "aqm.t12z.max_8hr_o3.227.grib2")
-  foreach(THE_FILE IN LISTS FTP_FILES) 
+  foreach(THE_FILE IN LISTS FTP_FILES)
     PULL_DATA(${G2_FTP_URL} ${THE_FILE})
   endforeach()
 
   if(FTP_LARGE_TEST_FILES)
     set(LARGE_FTP_FILES "fv3lam.t00z.prslev.f000.grib2")
-    foreach(THE_FILE IN LISTS LARGE_FTP_FILES) 
+    foreach(THE_FILE IN LISTS LARGE_FTP_FILES)
       PULL_DATA(${G2_FTP_URL} ${THE_FILE})
     endforeach()
     add_definitions(-DLARGE_FTP_TESTS)
@@ -166,7 +160,7 @@
   if(FTP_EXTRA_TEST_FILES)
     set(EXTRA_FTP_FILES MRMS_MultiSensor_QPE_24H_Pass2_00.00_20230621-110000.grib2
       GFSPRS.GrbF06 rrfs.t18z.prslev.f000.grib2)
-    foreach(THE_FILE IN LISTS EXTRA_FTP_FILES) 
+    foreach(THE_FILE IN LISTS EXTRA_FTP_FILES)
       PULL_DATA(${G2_FTP_URL} ${THE_FILE})
     endforeach()
   endif()
@@ -176,7 +170,7 @@
   add_definitions(-DFTP_TEST_FILES)
 
   # Run this test only if FTP test files are used.
-  if(BUILD_G2C)  
+  if(BUILD_G2C)
     g2c_ptest(tst_aqm)
   endif()
 endif()
@@ -203,7 +197,7 @@
 # Run these tests if the g2c API has been built.
 if(BUILD_G2C)
   g2c_test(tst_index1)
-  g2c_test(tst_xml)
+  g2c_test(tst_csv)
   g2c_test(tst_error)
   g2c_test(tst_params)
   g2c_test(tst_params2)
@@ -251,6 +245,9 @@
       gu_test(run_compare_tests)
       gu_test(run_degrib2_tests)
       gu_test(run_index_tests)
+      if(FTP_TEST_FILES)
+	gu_test(run_ftp_index_tests)
+      endif()
       if(FTP_LARGE_TEST_FILES)
 	gu_test(run_large_index_tests)
       endif()
@@ -262,11 +259,13 @@
 endif()
 
 # Run these extra tests if you have the data files to do so.
-if(FTP_EXTRA_TEST_FILES)
-  g2c_test(tst_mrms)
-endif()
-
-
-
-
-
+if (BUILD_G2C)
+  if(FTP_EXTRA_TEST_FILES)
+    g2c_test(tst_mrms)
+  endif()
+endif()
+
+
+
+
+
