=== debian/changelog ===
g2clib (2.0.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Dec 2024 18:17:04 +0000

g2clib (2.0.0-1) experimental; urgency=medium

  * New upstream release
  * Add new g2clib-utils package for tools
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Update pkgconf file to ensure we build with libaec.
  * Disable tests for this release
  * Include /usr/share/g2c/* data files in lib pkg
  * Include docs

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Apr 2024 16:03:10 +0100
