=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,10 @@
 		-DUSE_Jasper=OFF \
 		-DUSE_OpenJPEG=On \
 		-DUSE_AEC=On \
-		-DENABLE_DOCS=Off
+		-DENABLE_DOCS=On
+
+override_dh_auto_test:
+	@echo Disable tests for this release
 
 
 override_dh_auto_install:
