## g2clib 2.1.0

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
   "ref_testgrib2.grb2.degrib2"
   "ref_gdaswave_2.grib1.idx"
   "ref_tst_jasper_warning.txt"
+  "ref_large_png.grib2"
   )
 
 # Copy large files if needed.
@@ -223,6 +224,7 @@
 if(USE_PNG)
   g2c_test(tst_png)
   g2c_test(tst_addfield2)
+  g2c_test(tst_large_png)
 endif()
 
 # Run these tests only if Jasper or OpenJPEG are linked.
@@ -243,8 +245,6 @@
   if(USE_Jasper)
     if(UTILS)
       gu_test(run_compare_tests)
-      gu_test(run_degrib2_tests)
-      gu_test(run_index_tests)
       if(FTP_TEST_FILES)
 	gu_test(run_ftp_index_tests)
       endif()
