=== debian/changelog ===
g2clib (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Drop M-A: same for g2clib-utils

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jan 2025 07:59:50 +0000

g2clib (2.0.0-3) unstable; urgency=medium

  * Don't ship MIN.3 manpage. Closes: #1091674
  * Pass CC and PKG_CONFIG to enable cross-compiling. Closes: #997942
  * Enable tests but ignore failures this release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jan 2025 12:19:58 +0000
