=== debian/control ===
--- 
+++ 
@@ -30,7 +30,6 @@
 Package: libg2c-utils
 Architecture: any
 Depends:  libg2c0 ( = ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
 Description: NCEP GRIB2 library - development files
  This is the libg2c library from NCEP for encoding and
  decoding 'GRIB2' data formats.
