=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

# magic debhelper rule
%:
	dh $@ --buildsystem=cmake --builddirectory=debian/build

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
endif

DESTDIR:=$(CURDIR)/debian/tmp/
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -I $(CURDIR)/debian/build/src 


export DH_VERBOSE=1

override_dh_auto_configure:
	CC=$(CC) PKG_CONFIG=$(PKG_CONFIG) dh_auto_configure  -- \
		-DCMAKE_C_CFLAGS="${CFLAGS}" \
		-DUSE_Jasper=OFF \
		-DUSE_OpenJPEG=On \
		-DUSE_AEC=On \
		-DENABLE_DOCS=On

override_dh_auto_test:
	dh_auto_test || echo "Ignore failures"


override_dh_auto_install:
	dh_auto_install
	# See #1011424
	rm -f ./debian/build/docs/man/man3/real.3
	# See #1091674
	rm -r debian/build/docs/man/man3/MIN.3
